Package com.saxonica.ee.bytecode

## Class CalculatorCompiler.AnyPlusAny

- java.lang.Object
- - com.saxonica.ee.bytecode.CalculatorCompiler
  - - com.saxonica.ee.bytecode.CalculatorCompiler.AnyPlusAny

- Enclosing class:
    CalculatorCompiler

      public static class CalculatorCompiler.AnyPlusAny
      extends CalculatorCompiler

  Arithmetic: anyAtomicType + AnyAtomicType

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.saxonica.ee.bytecode.CalculatorCompiler

      `CalculatorCompiler.AnyDivAny, CalculatorCompiler.AnyIdivAny, CalculatorCompiler.AnyMinusAny, CalculatorCompiler.AnyModAny, CalculatorCompiler.AnyPlusAny, CalculatorCompiler.AnyTimesAny, CalculatorCompiler.DecimalDivDecimal, CalculatorCompiler.DecimalIdivDecimal, CalculatorCompiler.DecimalMinusDecimal, CalculatorCompiler.DecimalModDecimal, CalculatorCompiler.DecimalPlusDecimal, CalculatorCompiler.DecimalTimesDecimal, CalculatorCompiler.DoubleDivDouble, CalculatorCompiler.DoubleMinusDouble, CalculatorCompiler.DoubleModDouble, CalculatorCompiler.DoublePlusDouble, CalculatorCompiler.DoubleTimesDouble, CalculatorCompiler.FloatDivFloat, CalculatorCompiler.FloatIdivFloat, CalculatorCompiler.FloatMinusFloat, CalculatorCompiler.FloatModFloat, CalculatorCompiler.FloatPlusFloat, CalculatorCompiler.FloatTimesFloat, CalculatorCompiler.IntegerDivInteger, CalculatorCompiler.IntegerIdivInteger, CalculatorCompiler.IntegerMinusInteger, CalculatorCompiler.IntegerModInteger, CalculatorCompiler.IntegerPlusInteger, CalculatorCompiler.IntegerTimesInteger`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AnyPlusAny()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `compute​(Generator ga, javax.xml.transform.SourceLocator locator)` | Generate bytecode to compute the result of the arithmetic expression

    - ### Methods inherited from class com.saxonica.ee.bytecode.CalculatorCompiler

      `setCompilerService, setExpressions`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AnyPlusAny

          public AnyPlusAny()

  - ### Method Detail

    - #### compute

          public void compute​(Generator ga,
                              javax.xml.transform.SourceLocator locator)

      Description copied from class: `CalculatorCompiler`
      Generate bytecode to compute the result of the arithmetic expression
      Specified by:
        `compute` in class `CalculatorCompiler`
      Parameters:
        `ga` - the code generator
        `locator` - the location of the arithmetic expression